@import url("https://fonts.googleapis.com/css2?family=Ubuntu:wght@300;400;500;700&display=swap");

body {
  background-size: cover;
  background-image: url(../images/bg.png);
  background-repeat: no-repeat;
  width: 100%;
  height: 100vh;
  font-family: "Ubuntu", sans-serif;
  color: #434343;
}
header a {
  color: white;
}
header {
  color: white;
}
.head--hover:hover {
  color: #01813f;
  fill: #01813f;
}

.logo {
  margin: 18px 0 18px 80px;
}
.logo--link {
  font-weight: bold;
  font-size: 22px;
}
.header-container {
  display: flex;
  justify-content: space-between;
  background: rgba(0, 0, 0, 0.4);
}
ul {
  list-style: none;
  display: flex;
  flex-direction: row;
  align-items: center;
}
.nav {
  display: flex;

  margin-right: 80px;
}
.svg--icon {
  margin: 0 25px 0 0;
}
.line {
  height: 18px;
  width: 1px;
  border-left: 1px solid white;
  opacity: 0.5;
  display: inline-block;
}
.top--text {
  display: flex;
  align-items: center;
}
.form-position {
  display: flex;
  justify-content: center;
  align-items: center;
  transform: translateY(10%);
}
.form--container {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  flex-direction: column;
  background-color: white;
  width: 100%;
  max-width: 444px;
}
.inside--form--container {
  margin: 28px 60px 40px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  max-width: 324px;
}
.top-form {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 324px;
}
.sign-up-form {
  font-size: 20px;
}
.log-link {
  font-size: 14px;
  color: #3cb878;
  margin-top: 3px;
}
.log-link:hover {
  color: #01813f;
  text-decoration: underline;
}
.square {
  width: 16px;
  height: 16px;
  color: #3cb878;
  border: 1px solid #3cb878;
  background-color: #3cb878;
  position: absolute;
  left: 0;
  top: 32px;
}
.buttons {
  margin-top: 15px;
  display: flex;
}
.button {
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 160px;
  height: 48px;
  background-color: #305db8;
  border: none;
  border-radius: 3px;
  color: white;
  outline: none;
}
button:hover {
  background-color: #022263;
  outline: none;
}
.button-line {
  height: 28px;
  width: 1px;
  border-left: 1px solid #0a162f;
  opacity: 0.1;
}
.google {
  padding-left: 12px;
  padding-right: 27px;
  background-color: #df4a32;
  justify-content: space-between;
  margin-left: 4px;
}
.google:hover {
  background-color: #ab1f09;
  outline: none;
}
.icon-line {
  display: flex;
  align-items: center;
}
.line-facebook {
  margin-left: 18px;
}
.line-google {
  margin-left: 7px;
}
.line-horizontal {
  margin-top: 40px;
  width: 324px;
  border-bottom: 1px solid #f2f2f2;
}
.or {
  width: 15px;
  height: 15px;
  border: 1px solid white;
  background-color: #fff;
  color: #848484;
  margin: 0 auto;
  transform: translateY(-75%);
}
form {
  width: 100%;
}

input.input {
  padding: 16px 20px;
  width: 284px;
  margin-bottom: 15px;
  border: 1px solid #f2f2f2;
  border-radius: 4px;
}
.input-last {
  margin-bottom: 12px;
}
input::placeholder {
  color: #bebebe;
}
input.input:focus {
  outline: none;
  box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
}
.terms {
  color: #3cb878;
}
.terms:hover {
  color: #01813f;
  text-decoration: underline;
}
.checkbox {
  position: relative;
}
.checkbox-input {
  position: relative;
}
.label-checkbox {
  font-size: 14px;
  padding-left: 18px;
  cursor: pointer;
}
.label-checkbox:before {
  content: "";
  display: block;
  position: absolute;
  left: 0px;
  top: 0px;
  width: 18px;
  height: 18px;
  border: 1px solid #f2f2f2;
  background-color: #ffffff;
}
.label-checkbox:after {
  content: "";
  display: block;
  position: absolute;
  left: 0px;
  top: 0px;
  width: 18px;
  height: 18px;
  border: 1px solid #f2f2f2;
  background: url(../images/check.svg);
  background-size: cover;
  opacity: 0;
}
.label-checkbox:hover::after {
  background: url(../images/check-hover.svg);
  background-size: cover;
}
.checkbox-input:checked + .label-checkbox:after {
  opacity: 1;
}
.input-submit {
  width: 324px;
  height: 46px;
  margin-top: 20px;
  border: 1px solid #3cb878;
  border-radius: 4px;
  background-color: rgba(60, 184, 120, 0.8);
  color: white;
  outline: none;
}
.input-submit:hover {
  background: #01813f;
  outline: none;
}
